Create an access grant
curl --request POST \
--url https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/grants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"grantee_tenant_id": "<string>",
"subject_id": "<string>",
"scopes": [],
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/grants"
payload = {
"grantee_tenant_id": "<string>",
"subject_id": "<string>",
"scopes": [],
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
grantee_tenant_id: '<string>',
subject_id: '<string>',
scopes: [],
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grant": {
"grant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantor_tenant_id": "<string>",
"grantee_tenant_id": "<string>",
"subject_id": "<string>",
"scopes": [],
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "Request body failed schema validation.",
"details": [
{
"path": "/subject_id",
"message": "subject_id is required."
}
]
}
}{
"error": {
"code": "unauthorized",
"message": "Authentication required."
}
}{
"error": {
"code": "forbidden",
"message": "Owner or grant required."
}
}Access Grants
Create Grant
Grants a counterparty tenant read access to a specific subject.
The calling tenant must own the subject. Requires tenant_admin.
POST
/
v1
/
tenants
/
{tenant_id}
/
grants
Create an access grant
Authorizations
Firebase Auth JWT issued by Google Identity Platform.
Obtain a token by signing in at your app domain and calling
firebase.auth().currentUser.getIdToken().
Path Parameters
Tenant identifier.
Body
application/json
Tenant ID of the counterparty receiving access.
Available options:
individual, organization Minimum array length:
1Available options:
read_latest, read_lineage, read_snapshot_by_id, read_diff Optional expiry. Null means the grant does not expire.
Response
Grant created.
Show child attributes
Show child attributes
⌘I